For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Pages
      • GETGet Page Metadata
      • PUTUpdate Page Metadata
      • PATCHBulk update page metadata
      • GETGet Page Content
      • POSTUpdate Page Content
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Pages and ComponentsPages

Get Page Content

GET
https://api.webflow.com/beta/pages/:page_id/dom
GET
/beta/pages/:page_id/dom
$curl -G https://api.webflow.com/beta/pages/63c720f9347c2139b248e552/dom \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d limit=100 \
> -d offset=0 \
> -d withBindings=true
1{
2 "value": {
3 "pageId": "658205daa3e8206a523b5ad4",
4 "nodes": [
5 {
6 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
7 "type": "text",
8 "text": {
9 "html": null,
10 "text": null
11 },
12 "attributes": {},
13 "cmsBindings": {
14 "isPageItem": true,
15 "collectionId": "580e63fc8c9a982ac9b8b745",
16 "bindings": {
17 "text": "post-title",
18 "attributes": {}
19 }
20 }
21 },
22 {
23 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad629",
24 "type": "image",
25 "image": {
26 "alt": "",
27 "assetId": null
28 },
29 "attributes": {},
30 "cmsBindings": {
31 "isPageItem": true,
32 "collectionId": "580e63fc8c9a982ac9b8b745",
33 "bindings": {
34 "alt": "image-alt-text",
35 "assetId": "featured-image",
36 "attributes": {}
37 }
38 }
39 },
40 {
41 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad671",
42 "type": "submit-button",
43 "value": "",
44 "waitingText": "",
45 "attributes": {},
46 "cmsBindings": {
47 "isPageItem": false,
48 "collectionId": "580e63fc8c9a982ac9b8b746",
49 "bindings": {
50 "value": "button-text",
51 "waitingText": "button-waiting-text",
52 "attributes": {}
53 }
54 }
55 },
56 {
57 "id": "a245c12d-995b-55ee-5ec7-aa36a6cad631",
58 "type": "component-instance",
59 "componentId": "17611da9-08ec-4e13-9d26-41a356c57916",
60 "propertyOverrides": [
61 {
62 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad633",
63 "type": "Plain Text",
64 "label": "Catchphrase",
65 "text": {
66 "html": null,
67 "text": "Don't Panic!"
68 }
69 },
70 {
71 "propertyId": "a245c12d-995b-55ee-5ec7-aa36a6cad636",
72 "type": "CMS Binding",
73 "label": "Author Name",
74 "collectionId": "580e63fc8c9a982ac9b8b747",
75 "isPageItem": true,
76 "fieldSlug": "author-name"
77 }
78 ]
79 }
80 ],
81 "pagination": {
82 "limit": 4,
83 "offset": 0,
84 "total": 4
85 },
86 "lastUpdated": "2016-10-24T19:42:38.929Z"
87 }
88}

Get text and component instance content from a static page.

Localization

Required scope | pages:read

Was this page helpful?
Previous

Update Page Content

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records
withBindingsbooleanOptional

Include CMS binding information in the response. When set to true, nodes will include a cmsBindings property with collection binding details, and component property overrides may include properties of type ‘CMS Binding’.

Response

Request was successful
pageIdstring
Page ID
branchIdstring or nullformat: "objectid"
The unique identifier of a specific page branch.
nodeslist of objects
paginationobject
Pagination object
lastUpdatedstring or nullRead-onlyformat: "date-time"
The date the page dom was most recently updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error